Eclipse Platform Release 3.7

## org.eclipse.ui.browser
Interface IWebBrowser

All Known Implementing Classes:
  AbstractWebBrowser

    public interface IWebBrowser

An opened Web browser instance (either internal or external).

This interface is not intended to be implemented by clients.

Since:
  3.1
See Also:
  `IWorkbenchBrowserSupport`
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`boolean` `close()` Closes this browser instance.
`String` `getId()` Returns the unique identifier of this browser.
`void` `openURL(URL url)` Opens a URL on this Web browser instance.

Method Detail

### getId

    String getId()

  Returns the unique identifier of this browser. If an id has been supplied to the browser support when the instance was created, it will be used. Otherwise, a generated id will be provided to the browser that is guaranteed to be unique.

  Returns:
    a unique identifier of this browser instance

### openURL

    void openURL(URL url)
                 throws PartInitException

  Opens a URL on this Web browser instance.

  Parameters:
    `url` - the URL to display
  Throws:
    `PartInitException` - if the browser fails to navigate to the provided url for any reason

### close

    boolean close()

  Closes this browser instance.

  Returns:
    `true` if the browser was closed or `false` if the operation failed or is not supported.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.